## com.bbn.openmap.util
Interface Taskable

All Superinterfaces:
  java.awt.event.ActionListener, java.util.EventListener

All Known Implementing Classes:
  DateLayer, LabelLayer

public interface Taskable
extends java.awt.event.ActionListener

Taskables are ActionListeners that respond to events from Timers. If a Taskable has been added to a Timer's queue, it will receive `actionPerformed()` notifications each time the timer expires.

Some OpenMap Layers are Taskables. These layers expect to refresh their graphics at a certain rate.

See Also:
  `Timer`

Method Summary
`int` `getSleepHint()` Get the sleep hint in milliseconds.

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Method Detail

### getSleepHint

    public int getSleepHint()

  Get the sleep hint in milliseconds. The Taskable implementation should determine the sleep (delay) interval between invocations of its `actionPerformed()`.

  NOTE: this is only a hint for the timer. It's the Taskable's responsibility to determine if too little or too much time has elapsed between invocations of `actionPerformed()`.

  Returns:
    int milliseconds of sleep interval

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details